import { PackageInfoParsed } from '@app/types';
import { SpinnerOptions } from 'spinnies';
declare function getPackageVersions(packageName: string): Promise<PackageInfoParsed>;
declare function generateFolder(folderPath: string): Promise<SpinnerOptions>;
declare function generatePackageJson(projectName: string): Promise<SpinnerOptions>;
declare function generateDockerCompose(projectName: string, environment: string, dockerComposeFilesInJson: boolean): Promise<SpinnerOptions>;
declare function generateTsConfigJson(projectName: string): Promise<SpinnerOptions>;
declare function generateServerPackageJson(projectName: string): Promise<void>;
declare function generateServerIndex(projectName: string): Promise<SpinnerOptions>;
declare function generateEslintConfig(projectName: string): Promise<SpinnerOptions>;
declare function generatePrettierConfig(projectName: string): Promise<SpinnerOptions>;
declare function generateGlobalSetupJest(projectName: string): Promise<SpinnerOptions>;
declare function generateGlobalTeardownJest(projectName: string): Promise<SpinnerOptions>;
declare function generateDockerIgnore(folderPath: string): Promise<SpinnerOptions>;
declare function generateGitIgnore(folderPath: string): Promise<SpinnerOptions>;
declare function generateDockerfile(projectName: string, environment: string, app: string): Promise<SpinnerOptions>;
declare function installServerPackages(projectName: string, isNpm: boolean): Promise<SpinnerOptions>;
declare function executeCreateReactApp(projectName: string, isNpm: boolean): Promise<SpinnerOptions | never>;
declare function generateNginxConfigFile(projectName: string): Promise<SpinnerOptions>;
export { getPackageVersions, generateFolder, generatePackageJson, generateDockerCompose, generateTsConfigJson, generateServerIndex, generateServerPackageJson, generateEslintConfig, generatePrettierConfig, generateGlobalSetupJest, generateGlobalTeardownJest, generateDockerIgnore, generateGitIgnore, generateDockerfile, installServerPackages, executeCreateReactApp, generateNginxConfigFile, };
